MapKeyColumnDelegator (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.cfg.annotations
Class MapKeyColumnDelegator

    java.lang.Object
      org.hibernate.cfg.annotations.MapKeyColumnDelegator

All Implemented Interfaces:
  Annotation, Column

    public class MapKeyColumnDelegator

extends Object
implements Column

Constructor Summary
`MapKeyColumnDelegator(MapKeyColumn column)`

Method Summary
`Class<? extends Annotation>` | `annotationType()`
`String` | `columnDefinition()`
`boolean` | `insertable()`
`int` | `length()`
`String` | `name()`
`boolean` | `nullable()`
`int` | `precision()`
`int` | `scale()`
`String` | `table()`
`boolean` | `unique()`
`boolean` | `updatable()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.lang.annotation.Annotation
`equals, hashCode, toString`

Constructor Detail

### MapKeyColumnDelegator

    public MapKeyColumnDelegator(MapKeyColumn column)

Method Detail

### name

    public String name()

### unique

    public boolean unique()

### nullable

    public boolean nullable()

### insertable

    public boolean insertable()

### updatable

    public boolean updatable()

### columnDefinition

    public String columnDefinition()

### table

    public String table()

### length

    public int length()

### precision

    public int precision()

### scale

    public int scale()

### annotationType

    public Class<? extends Annotation> annotationType()

  Specified by:
    `annotationType` in interface `Annotation`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.